<?php

use EventPortal\Domain\Comment\Models\Comment;
use EventPortal\Domain\Event\Models\EventApproval;
use Faker\Generator;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Comment::class, static function (Generator $faker) {
    return [
        'comment' => $faker->words(20, true),
    ];
});

$factory->state(Comment::class, 'event_approval', static function (Generator $faker) {
    $approval = factory(EventApproval::class)->create();

    return [
        'comment' => $faker->words(20, true),
        'commentable_type' => EventApproval::class,
        'commentable_id' => $approval->id,
    ];
});

$factory->state(Comment::class, 'snapshot', static function () {
    return [
        'comment' => 'here is a comment',
    ];
});

$factory->state(Comment::class, 'event_approval_snapshot', static function () {

    $approval = factory(EventApproval::class)->create();

    return [
        'comment' => 'here is a comment',
        'commentable_type' => EventApproval::class,
        'commentable_id' => $approval->id,
    ];
});
