<?php

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventApproval;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(EventApproval::class, static function (Faker\Generator $faker) {
    return [
        'status' => $faker->randomElement(['awaiting', 'approved', 'declined']),
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});

$factory->state(EventApproval::class, 'awaiting', static function () {
    return [
        'status' => 'awaiting',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});

$factory->state(EventApproval::class, 'approved', static function () {
    return [
        'status' => 'approved',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});

$factory->state(EventApproval::class, 'declined', static function () {
    return [
        'status' => 'declined',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'admin_id' => function () {
            return factory(Admin::class)->create()->id;
        },
    ];
});
