<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Component\Selection\RadioButtons;
use EventPortal\Tests\TestCase;

class RadioTest extends TestCase
{
    /** @test **/
    public function can_set_value()
    {
        $radio = RadioButtons::make('Require approval?')
            ->options([
                Option::make('Yes'),
                Option::make('Now'),
            ]);

        $radio->value('yes');

        $this->assertEquals('yes', $radio->value);
    }

    /** @test **/
    public function can_set_options()
    {
        $radio = RadioButtons::make('Require approval?')
            ->options([
                Option::make('Yes')->value(true),
                Option::make('No')->value(false),
            ]);

        $expected = [
            ['label' => 'Yes', 'value' => true],
            ['label' => 'No', 'value' => false],
        ];

        $this->assertEquals($expected, $radio->options);
    }
}
